> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Picks

> This endpoint creates a new picks

### Body

<ParamField body="id" required="false">
  The id of the packing\_list to be created. If not provided, a new id will be generated.
</ParamField>

<ParamField body="number" required="false">
  The number of the packing\_list to be created. If not provided, a new number will be generated.
</ParamField>

<ParamField body="deliveryDate" required="false">
  The delivery date of the packing\_list to be created. If not provided, a new delivery date will be generated.
</ParamField>

<ParamField body="arrivalDate" required="false">
  The arrival date of the packing\_list to be created. If not provided, a new arrival date will be generated.
</ParamField>

<ParamField body="ship_per" required="false">
  The ship per of the packing\_list to be created. If not provided, a new ship per will be generated.
</ParamField>

<ParamField body="tracking_number" required="false">
  The tracking number of the packing\_list to be created. If not provided, a new tracking number will be generated.
</ParamField>

### Response

<ResponseField name="id" type="string">
  This is the unique identifier for the pick
</ResponseField>

<ResponseField name="number" type="string">
  This is the unique identifier for the pick
</ResponseField>

<ResponseField name="date_created" type="string">
  This is the unique identifier for the pick
</ResponseField>

<ResponseField name="bill_of_materials_number" type="string">
  This is the unique identifier for the pick
</ResponseField>

<ResponseField name="location" type="string">
  This is the unique identifier for the pick
</ResponseField>

<ResponseField name="pick_method" type="string">
  This is the unique identifier for the pick
</ResponseField>

<ResponseField name="site" type="string">
  This is the unique identifier for the pick
</ResponseField>

<ResponseField name="status" type="string">
  This is the unique identifier for the pick
</ResponseField>

<ResponseField name="work_order_number" type="string">
  This is the unique identifier for the pick
</ResponseField>

<ResponseField name="pick_line_items" type="string">
  This is the unique identifier for the pick

  <Expandable title="Show child attributes">
    <ResponseField name="id" type="string">
      This is the unique identifier for the pick
    </ResponseField>

    <ResponseField name="part_name" type="string">
      This is the unique identifier for the pick
    </ResponseField>

    <ResponseField name="part_number" type="string">
      This is the unique identifier for the pick
    </ResponseField>

    <ResponseField name="pick_number" type="string">
      This is the unique identifier for the pick
    </ResponseField>

    <ResponseField name="pick_plan" type="string">
      This is the unique identifier for the pick
    </ResponseField>

    <ResponseField name="quantity_picked" type="string">
      This is the unique identifier for the pick
    </ResponseField>

    <ResponseField name="quantity_to_pick" type="string">
      This is the unique identifier for the pick
    </ResponseField>

    <ResponseField name="status" type="string">
      This is the unique identifier for the pick
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request POST 'https://api.stateset.com/v1/packing_list' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Token <token>' \
  --data-raw '{
      "current_token": ""
  }'
  ```

  ```javascript Node.js theme={null}

  var created = await stateset.packinglist.create({
    id: ''
  });

  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "id": "1",
    "number": "1",
    "deliveryDate": "2020-01-01",
    "arrivalDate": "2020-01-01",
    "ship_per": "John Doe",
    "tracking_number": "1234567890"
  }

  ```
</ResponseExample>
